.alert {
	font-size: 1rem;

	&.alert-with-icon {
		display: flex;
		padding-left: 0.75rem;
	}

	&.MuiSnackbar-root {
		position: fixed;
		z-index: 3000;
	}

	& .MuiSvgIcon-root {
		font-size: var(--base-line-height);
	}

	& h4,
	& h3 {
		line-height: var(--base-line-height);
		color: inherit;
		margin-top: 0;
	}

	& p:last-child {
		margin-bottom: 0;
	}

	& button.close {
		top: -0.5rem;
		right: -0.5rem;
	}

	&.alert-info {
		color: var(--color-dark-grey);
		background-color: color-mod(var(--color-accent-blue) lightness(98%));
		border-color: color-mod(var(--color-accent-blue) lightness(69%));
		border-width: 0.1rem;

		& .MuiSvgIcon-root {
			color: var(--color-accent-blue);
		}
	}

	&.alert-warning {
		color: var(--color-dark-grey);

		& .MuiSvgIcon-root {
			color: var(--color-orange);
		}
	}

	&.alert-danger {
		color: var(--color-dark-grey);
		background-color: color-mod(var(--color-red) lightness(99%));
		border-color: color-mod(var(--color-red) lightness(69%));
		border-width: 0.1rem;

		& h3 {
			color: var(--color-dark-grey);
		}

		& .MuiSvgIcon-root {
			color: var(--color-red);
		}
	}

	&.alert-success {
		color: var(--color-dark-grey);
		background-color: color-mod(var(--color-green) lightness(96%));
		border-color: color-mod(var(--color-green) lightness(69%));
		border-width: 0.1rem;

		& h3 {
			color: var(--color-dark-grey);
		}

		& h4 {
			line-height: 1.5rem;
		}

		& .MuiSvgIcon-root {
			color: var(--color-green);
		}
	}
}
